# Set root logger level to DEBUG 
log4j.rootLogger=info, stdout, daily

# stdout is set to be a ConsoleAppender.
log4j.appender.stdout=org.apache.log4j.ConsoleAppender

# stdout uses PatternLayout.
log4j.appender.stdout.layout=org.apache.log4j.PatternLayout
log4j.appender.stdout.layout.ConversionPattern=[(%F:%L)]%m%n

# daily
log4j.appender.daily=org.apache.log4j.DailyRollingFileAppender
log4j.appender.daily.layout=org.apache.log4j.PatternLayout
#log4j.appender.daily.layout.ConversionPattern=[%d %p at %C.%M(%F:%L)]%m%n
log4j.appender.daily.layout.ConversionPattern=[%d %p]%m%n
log4j.appender.daily.File=${EAS_HOME}/client/logs/log4j.log
log4j.appender.daily.encoding=UTF-8

log4j.logger.com.kingdee.bos.invokecounter.RPCInvokeCounter=debug, rpc
log4j.additivity.com.kingdee.bos.invokecounter.RPCInvokeCounter=false
log4j.appender.rpc=org.apache.log4j.DailyRollingFileAppender
log4j.appender.rpc.layout=org.apache.log4j.PatternLayout
log4j.appender.rpc.layout.ConversionPattern=%m%n
log4j.appender.rpc.File=${EAS_HOME}/client/logs/rpcD.V60SP1.log
log4j.appender.rpc.encoding=gb2312

log4j.logger.com.kingdee.bos.invokecounter.RPCInvokeCounterStack=debug, stack
log4j.additivity.com.kingdee.bos.invokecounter.RPCInvokeCounterStack=false
log4j.appender.stack=org.apache.log4j.DailyRollingFileAppender
log4j.appender.stack.layout=org.apache.log4j.PatternLayout
log4j.appender.stack.layout.ConversionPattern=%m%n
log4j.appender.stack.File=${EAS_HOME}/client/logs/rpcStackD.V60SP1.log
log4j.appender.stack.encoding=gb2312

log4j.logger.com.kingdee.bos.invokecounter.RpcLogFtpUploader=debug, upload
log4j.additivity.com.kingdee.bos.invokecounter.RpcLogFtpUploader=false
log4j.appender.upload=org.apache.log4j.RollingFileAppender
log4j.appender.upload.MaxBackupIndex=1
log4j.appender.upload.MaxFileSize=1MB
log4j.appender.upload.layout=org.apache.log4j.PatternLayout
log4j.appender.upload.layout.ConversionPattern=[%d]%m%n
log4j.appender.upload.File=${EAS_HOME}/client/logs/upload.log
log4j.appender.upload.encoding=UTF-8

#itrus CA log setting
log4j.logger.com.itrus=INFO, itrustrace
log4j.logger.com.kingdee.eas.base.security=INFO, itrustrace
log4j.logger.com.kingdee.eas.base.permission.client.util.CAIdentityAuthorize=INFO, itrustrace
log4j.additivity.com.itrus=false
log4j.additivity.com.kingdee.eas.base.security=false
log4j.additivity.com.kingdee.eas.base.permission.client.util.CAIdentityAuthorize=false
log4j.appender.itrustrace=org.apache.log4j.RollingFileAppender
log4j.appender.itrustrace.MaxBackupIndex=10
log4j.appender.itrustrace.MaxFileSize=10MB
log4j.appender.itrustrace.layout=org.apache.log4j.PatternLayout
log4j.appender.itrustrace.layout.ConversionPattern=[%F:%L %d{HH:mm:ss}]%m%n
log4j.appender.itrustrace.File=${EAS_HOME}/client/logs/iTrusca_client.log
log4j.appender.itrustrace.encoding=UTF-8

<!--耗时1786835227.4394秒-->